CreateKnowledgeAPI mirrors the erdo_create_knowledge MCP tool.
curl --request POST \
--url https://api.erdo.ai/v1/knowledge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"category": "<string>",
"content": "<string>",
"dataset_ids": [
"<string>"
],
"description": "<string>",
"tags": [
"<string>"
],
"title": "<string>",
"type": "<string>"
}
'import requests
url = "https://api.erdo.ai/v1/knowledge"
payload = {
"category": "<string>",
"content": "<string>",
"dataset_ids": ["<string>"],
"description": "<string>",
"tags": ["<string>"],
"title": "<string>",
"type": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
category: '<string>',
content: '<string>',
dataset_ids: ['<string>'],
description: '<string>',
tags: ['<string>'],
title: '<string>',
type: '<string>'
})
};
fetch('https://api.erdo.ai/v1/knowledge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"category": "<string>",
"content": "<string>",
"created_at": "<string>",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"type": "<string>",
"updated_at": "<string>"
}{
"code": "not_found",
"details": {},
"message": "<string>"
}API Reference
CreateKnowledgeAPI mirrors the erdo_create_knowledge MCP tool.
POST
/
v1
/
knowledge
CreateKnowledgeAPI mirrors the erdo_create_knowledge MCP tool.
Authorizations
An Erdo API key (erdo_api_...) or scoped token (erdo_token_...).
Body
application/json
ListKnowledgeAPI mirrors the erdo_list_knowledge MCP tool.
SearchKnowledgeAPI mirrors the erdo_search_knowledge MCP tool.
⌘I

